From 0bc3f2e242866c4a11a84ff2e4f7ae4812d8c6dc Mon Sep 17 00:00:00 2001
From: Nicolas ROCHE <nroche@entrouvert.com>
Date: Tue, 26 Jul 2022 17:15:33 +0200
Subject: [PATCH] toulouse_maelis: update family wsdl (#67783)

---
 tests/data/toulouse_maelis/FamilyService.wsdl | 549 +++++++++++++-----
 1 file changed, 390 insertions(+), 159 deletions(-)

diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index 2290cfa8..22cf833f 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -7,16 +7,18 @@
   <xs:import namespace="bean.persistence.activity.ws.maelis.sigec.com"/>
   <xs:import namespace="http://www.w3.org/2005/05/xmlmime"/>
   <xs:element name="addSuppliedDocument" type="tns:addSuppliedDocument"/>
   <xs:element name="addSuppliedDocumentResponse" type="tns:addSuppliedDocumentResponse"/>
   <xs:element name="createChild" type="tns:createChild"/>
   <xs:element name="createChildResponse" type="tns:createChildResponse"/>
   <xs:element name="createFamily" type="tns:createFamily"/>
   <xs:element name="createFamilyResponse" type="tns:createFamilyResponse"/>
+  <xs:element name="createOrUpdateFSL" type="tns:createOrUpdateFSL"/>
+  <xs:element name="createOrUpdateFSLResponse" type="tns:createOrUpdateFSLResponse"/>
   <xs:element name="createUpdateQuotient" type="tns:createUpdateQuotient"/>
   <xs:element name="createUpdateQuotientResponse" type="tns:createUpdateQuotientResponse"/>
   <xs:element name="deletesubscribe" type="tns:deletesubscribe"/>
   <xs:element name="deletesubscribeResponse" type="tns:deletesubscribeResponse"/>
   <xs:element name="getActivityRate" type="tns:getActivityRate"/>
   <xs:element name="getActivityRateResponse" type="tns:getActivityRateResponse"/>
   <xs:element name="isChildExists" type="tns:isChildExists"/>
   <xs:element name="isChildExistsResponse" type="tns:isChildExistsResponse"/>
@@ -25,28 +27,36 @@
   <xs:element name="isWSRunning" type="tns:isWSRunning"/>
   <xs:element name="isWSRunningResponse" type="tns:isWSRunningResponse"/>
   <xs:element name="readCSPList" type="tns:readCSPList"/>
   <xs:element name="readCSPListResponse" type="tns:readCSPListResponse"/>
   <xs:element name="readCategoryList" type="tns:readCategoryList"/>
   <xs:element name="readCategoryListResponse" type="tns:readCategoryListResponse"/>
   <xs:element name="readCivilityList" type="tns:readCivilityList"/>
   <xs:element name="readCivilityListResponse" type="tns:readCivilityListResponse"/>
+  <xs:element name="readDietCodeList" type="tns:readDietCodeList"/>
+  <xs:element name="readDietCodeListResponse" type="tns:readDietCodeListResponse"/>
   <xs:element name="readFamily" type="tns:readFamily"/>
   <xs:element name="readFamilyByPassword" type="tns:readFamilyByPassword"/>
   <xs:element name="readFamilyByPasswordResponse" type="tns:readFamilyByPasswordResponse"/>
   <xs:element name="readFamilyResponse" type="tns:readFamilyResponse"/>
   <xs:element name="readOrganList" type="tns:readOrganList"/>
   <xs:element name="readOrganListResponse" type="tns:readOrganListResponse"/>
+  <xs:element name="readPAIList" type="tns:readPAIList"/>
+  <xs:element name="readPAIListResponse" type="tns:readPAIListResponse"/>
   <xs:element name="readQualityList" type="tns:readQualityList"/>
   <xs:element name="readQualityListResponse" type="tns:readQualityListResponse"/>
+  <xs:element name="readQuotientList" type="tns:readQuotientList"/>
+  <xs:element name="readQuotientListResponse" type="tns:readQuotientListResponse"/>
   <xs:element name="readSituationList" type="tns:readSituationList"/>
   <xs:element name="readSituationListResponse" type="tns:readSituationListResponse"/>
   <xs:element name="readStreetList" type="tns:readStreetList"/>
   <xs:element name="readStreetListResponse" type="tns:readStreetListResponse"/>
+  <xs:element name="readVaccinList" type="tns:readVaccinList"/>
+  <xs:element name="readVaccinListResponse" type="tns:readVaccinListResponse"/>
   <xs:element name="subscribeActivity" type="tns:subscribeActivity"/>
   <xs:element name="subscribeActivityResponse" type="tns:subscribeActivityResponse"/>
   <xs:element name="subscribeSchool" type="tns:subscribeSchool"/>
   <xs:element name="subscribeSchoolResponse" type="tns:subscribeSchoolResponse"/>
   <xs:element name="updateChildAutorization" type="tns:updateChildAutorization"/>
   <xs:element name="updateChildAutorizationResponse" type="tns:updateChildAutorizationResponse"/>
   <xs:element name="updateChildIndicators" type="tns:updateChildIndicators"/>
   <xs:element name="updateChildIndicatorsResponse" type="tns:updateChildIndicatorsResponse"/>
@@ -55,16 +65,26 @@
   <xs:element name="updateCoordinate" type="tns:updateCoordinate"/>
   <xs:element name="updateCoordinateResponse" type="tns:updateCoordinateResponse"/>
   <xs:element name="updateFamily" type="tns:updateFamily"/>
   <xs:element name="updateFamilyAuthorizedPersonList" type="tns:updateFamilyAuthorizedPersonList"/>
   <xs:element name="updateFamilyAuthorizedPersonListResponse" type="tns:updateFamilyAuthorizedPersonListResponse"/>
   <xs:element name="updateFamilyResponse" type="tns:updateFamilyResponse"/>
   <xs:element name="updateFamilySituation" type="tns:updateFamilySituation"/>
   <xs:element name="updateFamilySituationResponse" type="tns:updateFamilySituationResponse"/>
+  <xs:complexType name="deletesubscribe">
+    <xs:sequence>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element name="idActivite" type="xs:string"/>
+      <xs:element name="dateRefDelete" type="xs:dateTime"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="deletesubscribeResponse">
+    <xs:sequence/>
+  </xs:complexType>
   <xs:complexType name="updateChildIndicators">
     <xs:sequence>
       <xs:element name="numPerson" type="xs:int"/>
       <xs:element maxOccurs="unbounded" name="indicatorsLst" type="ns1:indicatorValueUpdBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType abstract="true" name="abstractSpecRequestBean">
     <xs:complexContent>
@@ -74,26 +94,32 @@
     </xs:complexContent>
   </xs:complexType>
   <xs:complexType abstract="true" name="abstractSpecBean">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="updateChildIndicatorsResponse">
     <xs:sequence/>
   </xs:complexType>
-  <xs:complexType name="deletesubscribe">
+  <xs:complexType name="readQuotientList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readQuotientListResponse">
     <xs:sequence>
-      <xs:element name="numPerson" type="xs:int"/>
-      <xs:element name="idActivite" type="xs:string"/>
-      <xs:element name="dateRefDelete" type="xs:dateTime"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="deletesubscribeResponse">
+  <xs:complexType name="readDietCodeList">
     <xs:sequence/>
   </xs:complexType>
+  <xs:complexType name="readDietCodeListResponse">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+    </xs:sequence>
+  </xs:complexType>
   <xs:complexType name="readFamily">
     <xs:sequence>
       <xs:element name="dossierNumber" type="xs:int"/>
       <xs:element minOccurs="0" name="schoolYear" type="xs:string"/>
       <xs:element minOccurs="0" name="incomeYear" type="xs:string"/>
       <xs:element minOccurs="0" name="referenceYear" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
@@ -102,16 +128,17 @@
       <xs:element minOccurs="0" name="familyResult" type="tns:familyBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="familyBean">
     <xs:sequence>
       <xs:element name="number" type="xs:int"/>
       <xs:element minOccurs="0" name="category" type="xs:string"/>
       <xs:element minOccurs="0" name="situation" type="xs:string"/>
+      <xs:element minOccurs="0" name="flagCom" type="xs:boolean"/>
       <xs:element minOccurs="0" name="nbChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbTotalChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbAES" type="xs:string"/>
       <xs:element minOccurs="0" name="RL1" type="tns:rlInfoBean"/>
       <xs:element minOccurs="0" name="RL2" type="tns:rlInfoBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="quotientList" nillable="true" type="ns1:familyQuotientBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="emergencyPersonList" nillable="true" type="ns1:emergencyPersonBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="ns1:familyPersonBean"/>
@@ -121,28 +148,28 @@
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="rlInfoBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="num" type="xs:string"/>
       <xs:element name="lastname" type="xs:string"/>
       <xs:element name="firstname" type="xs:string"/>
       <xs:element name="quality" type="xs:string"/>
-      <xs:element minOccurs="0" name="civility" type="xs:string"/>
+      <xs:element name="civility" type="xs:string"/>
       <xs:element name="dateBirth" type="xs:dateTime"/>
       <xs:element name="adresse" type="ns2:addressBean"/>
       <xs:element minOccurs="0" name="contact" type="ns2:contactBean"/>
       <xs:element minOccurs="0" name="profession" type="ns1:professionBean"/>
       <xs:element minOccurs="0" name="CAFInfo" type="ns1:cafInfoBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="fslBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="dateDeb" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateFin" type="xs:dateTime"/>
+      <xs:element name="dateDeb" type="xs:dateTime"/>
+      <xs:element name="dateFin" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="allergieAlimentaire" type="xs:string"/>
       <xs:element minOccurs="0" name="allergieRespiratoire" type="xs:string"/>
       <xs:element minOccurs="0" name="allergieAutre" type="xs:string"/>
       <xs:element minOccurs="0" name="allergieMedicament" type="xs:string"/>
       <xs:element minOccurs="0" name="asthme" type="xs:string"/>
       <xs:element minOccurs="0" name="flPAI" type="xs:string"/>
       <xs:element minOccurs="0" name="flImage" type="xs:string"/>
       <xs:element minOccurs="0" name="dtcPrap1" type="xs:dateTime"/>
@@ -180,17 +207,17 @@
       <xs:element minOccurs="0" name="libelle" type="xs:string"/>
       <xs:element minOccurs="0" name="bUniStd" type="xs:boolean"/>
       <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="paiInfoBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
+      <xs:element name="code" type="xs:string"/>
       <xs:element minOccurs="0" name="dateDeb" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="dateFin" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="description" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType abstract="true" name="abstractSpecResultBean">
     <xs:complexContent>
       <xs:extension base="tns:abstractSpecBean">
@@ -256,16 +283,25 @@
       <xs:element minOccurs="0" name="situation" type="xs:string"/>
       <xs:element minOccurs="0" name="nbChild" type="xs:int"/>
       <xs:element minOccurs="0" name="nbTotalChild" type="xs:int"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateFamilySituationResponse">
     <xs:sequence/>
   </xs:complexType>
+  <xs:complexType name="createOrUpdateFSL">
+    <xs:sequence>
+      <xs:element name="arg0" type="xs:int"/>
+      <xs:element name="arg1" type="tns:fslBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="createOrUpdateFSLResponse">
+    <xs:sequence/>
+  </xs:complexType>
   <xs:complexType name="subscribeSchool">
     <xs:sequence>
       <xs:element name="subcribeSchoolRequestBean" type="ns3:subscribeSchoolRequestBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="subscribeSchoolResponse">
     <xs:sequence>
       <xs:element minOccurs="0" name="subscribeSchoolResultBean" type="tns:subscribeSchoolResultBean"/>
@@ -325,53 +361,53 @@
     <xs:sequence>
       <xs:element minOccurs="0" name="familyResult" type="tns:familyBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createUpdateQuotient">
     <xs:sequence>
       <xs:element name="dossierNumber" type="xs:int"/>
       <xs:element name="personNumber" type="xs:int"/>
-      <xs:element minOccurs="0" name="quotient" type="tns:familyQuotientRedvBean"/>
+      <xs:element name="quotient" type="tns:familyQuotientRedvBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="familyQuotientRedvBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="year" type="xs:int"/>
-      <xs:element minOccurs="0" name="yearRev" type="xs:int"/>
-      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="mtt" type="xs:double"/>
-      <xs:element minOccurs="0" name="cdquo" type="xs:string"/>
+      <xs:element name="year" type="xs:int"/>
+      <xs:element name="yearRev" type="xs:int"/>
+      <xs:element name="dateStart" type="xs:dateTime"/>
+      <xs:element name="dateEnd" type="xs:dateTime"/>
+      <xs:element name="mtt" type="xs:double"/>
+      <xs:element name="cdquo" type="xs:string"/>
       <xs:element minOccurs="0" name="codeUti" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createUpdateQuotientResponse">
     <xs:sequence/>
   </xs:complexType>
-  <xs:complexType name="isRLExists">
+  <xs:complexType name="getActivityRate">
     <xs:sequence>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="datebirth" type="xs:dateTime"/>
+      <xs:element name="request" type="ns2:getActivityRateRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="isRLExistsResponse">
+  <xs:complexType name="getActivityRateResponse">
     <xs:sequence>
-      <xs:element name="result" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="resultBean" type="ns2:getActivityRateResultBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="getActivityRate">
+  <xs:complexType name="isRLExists">
     <xs:sequence>
-      <xs:element name="request" type="ns2:getActivityRateRequestBean"/>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element name="dateBirth" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="getActivityRateResponse">
+  <xs:complexType name="isRLExistsResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="resultBean" type="ns2:getActivityRateResultBean"/>
+      <xs:element name="result" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateChildPAI">
     <xs:sequence>
       <xs:element name="personNumber" type="xs:int"/>
       <xs:element name="code" type="xs:string"/>
       <xs:element minOccurs="0" name="dateDeb" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="dateFin" type="xs:dateTime"/>
@@ -392,33 +428,16 @@
   <xs:complexType name="readSituationList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readSituationListResponse">
     <xs:sequence>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="addSuppliedDocument">
-    <xs:sequence>
-      <xs:element name="addSuppliedDocumentRequestBean" type="ns2:addSuppliedDocumentRequestBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="fileHandler">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="dataHandler" type="xs:base64Binary" xmime:expectedContentTypes="application/octet-stream"/>
-      <xs:element minOccurs="0" name="fileType" type="xs:string"/>
-      <xs:element minOccurs="0" name="name" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="addSuppliedDocumentResponse">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="addSuppliedDocumentResultBean" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
   <xs:complexType name="createChild">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
       <xs:element name="child" type="ns2:childCreateBean"/>
       <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="birthCreateBean">
@@ -427,21 +446,38 @@
       <xs:element minOccurs="0" name="place" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createChildResponse">
     <xs:sequence>
       <xs:element minOccurs="0" name="resultBean" type="ns1:resultChildBean"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType name="addSuppliedDocument">
+    <xs:sequence>
+      <xs:element name="addSuppliedDocumentRequestBean" type="ns2:addSuppliedDocumentRequestBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="fileHandler">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="dataHandler" type="xs:base64Binary" xmime:expectedContentTypes="application/octet-stream"/>
+      <xs:element minOccurs="0" name="fileType" type="xs:string"/>
+      <xs:element minOccurs="0" name="name" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="addSuppliedDocumentResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="addSuppliedDocumentResultBean" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
   <xs:complexType name="isChildExists">
     <xs:sequence>
       <xs:element name="firstname" type="xs:string"/>
       <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="datebirth" type="xs:dateTime"/>
+      <xs:element name="dateBirth" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="isChildExistsResponse">
     <xs:sequence>
       <xs:element name="result" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="subscribeActivity">
@@ -468,17 +504,33 @@
       <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" type="ns1:familyPersonBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" type="ns1:indicatorValueAddBean"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="emergencyPersonList" type="ns1:emergencyPersonBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createFamilyResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="familyResult" type="ns1:resultFamilyBean"/>
+      <xs:element minOccurs="0" name="createFamilyResult" type="ns1:resultFamilyBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="readVaccinList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readVaccinListResponse">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="readPAIList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readPAIListResponse">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateFamilyAuthorizedPersonList">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
       <xs:element name="authorizedPersonList" type="tns:authorizedPersonListBean"/>
     </xs:sequence>
   </xs:complexType>
@@ -564,16 +616,23 @@
           <xs:element name="code" type="xs:string"/>
           <xs:element minOccurs="0" name="choice" type="xs:string"/>
           <xs:element name="isActive" type="xs:boolean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
+  <xs:complexType name="itemBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
   <xs:complexType name="professionBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="codeCSP" type="xs:string"/>
       <xs:element minOccurs="0" name="profession" type="xs:string"/>
       <xs:element minOccurs="0" name="employerName" type="xs:string"/>
       <xs:element minOccurs="0" name="phone" type="xs:string"/>
       <xs:element minOccurs="0" name="addressPro" type="tns:addressProfBean"/>
     </xs:sequence>
@@ -607,16 +666,17 @@
   </xs:complexType>
 
   <xs:complexType name="emergencyPersonBean">
     <xs:sequence>
       <xs:element name="num" type="xs:int"/>
       <xs:element minOccurs="0" name="id" type="xs:string"/>
       <xs:element minOccurs="0" name="firstname" type="xs:string"/>
       <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateBirth" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="quality" type="xs:string"/>
       <xs:element minOccurs="0" name="civility" type="xs:string"/>
       <xs:element minOccurs="0" name="contact" type="tns:contactEmergencyBean"/>
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="contactEmergencyBean">
     <xs:sequence>
@@ -630,17 +690,17 @@
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
           <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
           <xs:element minOccurs="0" name="civility" type="xs:string"/>
           <xs:element name="firstname" type="xs:string"/>
           <xs:element name="lastname" type="xs:string"/>
           <xs:element name="dateBirth" type="xs:dateTime"/>
-          <xs:element minOccurs="0" name="quality" type="xs:string"/>
+          <xs:element name="quality" type="xs:string"/>
           <xs:element minOccurs="0" name="contact" type="tns:contactLightBean"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
   <xs:complexType name="contactLightBean">
     <xs:complexContent>
@@ -777,32 +837,25 @@
     <xs:sequence>
       <xs:element name="personInfo" type="tns:person2Bean"/>
       <xs:element name="personQuality" type="ns2:personQualityBean"/>
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="person2Bean">
     <xs:sequence>
-      <xs:element name="num" type="xs:int"/>
       <xs:element minOccurs="0" name="civility" type="xs:string"/>
       <xs:element name="lastname" type="xs:string"/>
       <xs:element name="firstname" type="xs:string"/>
       <xs:element name="dateBirth" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="sexe" type="xs:string"/>
       <xs:element minOccurs="0" name="mail" type="xs:string"/>
       <xs:element minOccurs="0" name="address" type="ns2:addressBean"/>
     </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="itemBean">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
-    </xs:sequence>
+    <xs:attribute name="num" type="xs:int"/>
   </xs:complexType>
 
   <xs:complexType name="emergencyPersonListBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecRequestBean">
         <xs:sequence>
           <xs:element maxOccurs="unbounded" minOccurs="0" name="personList" nillable="true" type="tns:familyPersonBean"/>
         </xs:sequence>
@@ -1029,16 +1082,34 @@
 
   <xs:complexType name="getActivityRateResultBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="rate" type="xs:double"/>
       <xs:element minOccurs="0" name="calculationDate" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
 
+  <xs:complexType name="childCreateBean">
+    <xs:sequence>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element name="sexe" type="xs:string"/>
+      <xs:element name="birth" type="ns1:birthCreateBean"/>
+      <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="numFather" type="xs:int"/>
+      <xs:element minOccurs="0" name="numMother" type="xs:int"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="ns2:relatedPersonBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="ns3:indicatorValueAddBean"/>
+      <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
+      <xs:element minOccurs="0" name="medicalRecord" type="ns3:medicalRecordBean"/>
+      <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
   <xs:complexType name="addSuppliedDocumentRequestBean">
     <xs:sequence>
       <xs:element name="numDossier" type="xs:int"/>
       <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="documentList" nillable="true" type="tns:suppliedDocumentBean"/>
     </xs:sequence>
   </xs:complexType>
 
@@ -1046,31 +1117,16 @@
     <xs:sequence>
       <xs:element name="idDocument" type="xs:string"/>
       <xs:element minOccurs="0" name="depositDate" type="xs:dateTime"/>
       <xs:element name="filename" type="xs:string"/>
       <xs:element name="fileSupplied" type="ns1:fileHandler"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="childCreateBean">
-    <xs:sequence>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="sexe" type="xs:string"/>
-      <xs:element name="birth" type="ns1:birthCreateBean"/>
-      <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="ns2:relatedPersonBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="ns3:indicatorValueAddBean"/>
-      <xs:element minOccurs="0" name="medicalRecord" type="ns3:medicalRecordBean"/>
-      <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
-    </xs:sequence>
-  </xs:complexType>
-
   <xs:complexType name="stateBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
           <xs:element minOccurs="0" name="idState" type="xs:string"/>
           <xs:element minOccurs="0" name="libelle" type="xs:string"/>
         </xs:sequence>
       </xs:extension>
@@ -1092,16 +1148,24 @@
     <xs:sequence>
       <xs:element minOccurs="0" name="code" type="xs:string"/>
       <xs:element minOccurs="0" name="libelle" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
 </xs:schema>
   </wsdl:types>
+  <wsdl:message name="readQuotientList">
+    <wsdl:part element="tns:readQuotientList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="readQuotientListResponse">
+    <wsdl:part element="tns:readQuotientListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readFamily">
     <wsdl:part element="tns:readFamily" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="isWSRunning">
     <wsdl:part element="tns:isWSRunning" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1168,116 +1232,144 @@
   <wsdl:message name="isChildExists">
     <wsdl:part element="tns:isChildExists" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="createFamily">
     <wsdl:part element="tns:createFamily" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readVaccinListResponse">
+    <wsdl:part element="tns:readVaccinListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readCivilityListResponse">
     <wsdl:part element="tns:readCivilityListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readStreetListResponse">
     <wsdl:part element="tns:readStreetListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readPAIList">
+    <wsdl:part element="tns:readPAIList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="updateFamilyAuthorizedPersonList">
     <wsdl:part element="tns:updateFamilyAuthorizedPersonList" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateChildIndicatorsResponse">
     <wsdl:part element="tns:updateChildIndicatorsResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readPAIListResponse">
+    <wsdl:part element="tns:readPAIListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="MaelisFamilyExceptionSpec">
     <wsdl:part element="tns:MaelisFamilyExceptionSpec" name="MaelisFamilyExceptionSpec">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readOrganList">
     <wsdl:part element="tns:readOrganList" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="updateChildIndicators">
-    <wsdl:part element="tns:updateChildIndicators" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
   <wsdl:message name="deletesubscribe">
     <wsdl:part element="tns:deletesubscribe" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="updateChildIndicators">
+    <wsdl:part element="tns:updateChildIndicators" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="isRLExistsResponse">
     <wsdl:part element="tns:isRLExistsResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readQualityListResponse">
     <wsdl:part element="tns:readQualityListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readOrganListResponse">
     <wsdl:part element="tns:readOrganListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readDietCodeList">
+    <wsdl:part element="tns:readDietCodeList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="MaelisFamilyException">
     <wsdl:part element="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="subscribeActivityResponse">
     <wsdl:part element="tns:subscribeActivityResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateCoordinateResponse">
     <wsdl:part element="tns:updateCoordinateResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateChildAutorization">
     <wsdl:part element="tns:updateChildAutorization" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="createOrUpdateFSLResponse">
+    <wsdl:part element="tns:createOrUpdateFSLResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readSituationListResponse">
     <wsdl:part element="tns:readSituationListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateFamilySituationResponse">
     <wsdl:part element="tns:updateFamilySituationResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateChildPAIResponse">
     <wsdl:part element="tns:updateChildPAIResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="getActivityRateResponse">
     <wsdl:part element="tns:getActivityRateResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="createOrUpdateFSL">
+    <wsdl:part element="tns:createOrUpdateFSL" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="subscribeSchool">
     <wsdl:part element="tns:subscribeSchool" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateFamily">
     <wsdl:part element="tns:updateFamily" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="addSuppliedDocumentResponse">
     <wsdl:part element="tns:addSuppliedDocumentResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="createUpdateQuotient">
     <wsdl:part element="tns:createUpdateQuotient" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="isRLExists">
-    <wsdl:part element="tns:isRLExists" name="parameters">
+  <wsdl:message name="readDietCodeListResponse">
+    <wsdl:part element="tns:readDietCodeListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="getActivityRate">
     <wsdl:part element="tns:getActivityRate" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="isRLExists">
+    <wsdl:part element="tns:isRLExists" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="updateChildPAI">
     <wsdl:part element="tns:updateChildPAI" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readCSPListResponse">
     <wsdl:part element="tns:readCSPListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1300,16 +1392,20 @@
   <wsdl:message name="updateChildAutorizationResponse">
     <wsdl:part element="tns:updateChildAutorizationResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="isWSRunningResponse">
     <wsdl:part element="tns:isWSRunningResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="readVaccinList">
+    <wsdl:part element="tns:readVaccinList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="updateFamilyAuthorizedPersonListResponse">
     <wsdl:part element="tns:updateFamilyAuthorizedPersonListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readCategoryList">
     <wsdl:part element="tns:readCategoryList" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1317,35 +1413,16 @@
     <wsdl:part element="tns:readFamilyByPassword" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="readStreetList">
     <wsdl:part element="tns:readStreetList" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:portType name="FamilyService">
-    <wsdl:operation name="updateChildIndicators">
-<wsdl:documentation>Méthode de mise à jour des indicateurs
- Prise en compte des choix éventuels sur les indicateurs
-
- ------------------------------
- numPerson : numéro de l'enfant (obligatoire)
- indicators : liste des indicateurs 
- - Code de l'indicateur (obligatoire)
- - isActive : true/false (true : ajouter / false : supprimer) (obligatoire)
- - choice : Code du choix (lorsqu'il s'agit d'un indicateur avec choix)
-
- -----------------------------</wsdl:documentation>
-      <wsdl:input message="tns:updateChildIndicators" name="updateChildIndicators">
-    </wsdl:input>
-      <wsdl:output message="tns:updateChildIndicatorsResponse" name="updateChildIndicatorsResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
     <wsdl:operation name="deletesubscribe">
 <wsdl:documentation> Méthode de suppression d'une inscription
 
  --------------------------
  personNumber : numéro de l'enfant (obligatoire)
  idActivity : identifiant de l'activité (obligatoire)
  dateRefDelete : date de référence pour la suppression (obligatoire)
 
@@ -1365,16 +1442,61 @@
 	Sinon retour erreur pas de personne trouvée</wsdl:documentation>
       <wsdl:input message="tns:deletesubscribe" name="deletesubscribe">
     </wsdl:input>
       <wsdl:output message="tns:deletesubscribeResponse" name="deletesubscribeResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="updateChildIndicators">
+<wsdl:documentation>Méthode de mise à jour des indicateurs
+ Prise en compte des choix éventuels sur les indicateurs
+
+ ------------------------------
+ numPerson : numéro de l'enfant (obligatoire)
+ indicators : liste des indicateurs 
+ - Code de l'indicateur (obligatoire)
+ - isActive : true/false (true : ajouter / false : supprimer) (obligatoire)
+ - choice : Code du choix (lorsqu'il s'agit d'un indicateur avec choix)
+
+ -----------------------------</wsdl:documentation>
+      <wsdl:input message="tns:updateChildIndicators" name="updateChildIndicators">
+    </wsdl:input>
+      <wsdl:output message="tns:updateChildIndicatorsResponse" name="updateChildIndicatorsResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readQuotientList">
+<wsdl:documentation>Méthodes de lecture du paramétrage de référence
+ La liste des Quotient 
+
+ -------------------------
+ Retourne la liste des code valeur pour les Quotient</wsdl:documentation>
+      <wsdl:input message="tns:readQuotientList" name="readQuotientList">
+    </wsdl:input>
+      <wsdl:output message="tns:readQuotientListResponse" name="readQuotientListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readDietCodeList">
+<wsdl:documentation>Méthodes de lecture du paramétrage de référence
+ La liste des régimes alimentaires 
+
+ -------------------------
+ Retourne la liste des code valeur pour les régimes aliementaires</wsdl:documentation>
+      <wsdl:input message="tns:readDietCodeList" name="readDietCodeList">
+    </wsdl:input>
+      <wsdl:output message="tns:readDietCodeListResponse" name="readDietCodeListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="readFamily">
 <wsdl:documentation>Méthode de lecture de la famille
   
 
  -------------------------
  dossierNumber: numéro de dossier famille
  schoolYear : année scolaire (facultatif)
  incomeYear : année des revenus (facultatif), à fournir pour lecture du quotient 
@@ -1404,17 +1526,18 @@
     <wsdl:operation name="updateChildAutorization">
 <wsdl:documentation>Méthode de mise à jour des autorisations pour un enfant
 
  ------------------------------
  numFamily : numéro de la famille (obligatoire)
  numPerson : numéro de l'enfant (obligatoire)
  bPhoto : autorisation photo (obligatoire)
  bLeaveAlone : autorisation à partir seul (obligatoire)
- personList: liste des personnes autorisées à récupérer l'enfant
+ personList: liste des personnes autorisées à récupérer l'enfant 
+ Les personnes non présentes dans cette liste sont supprimées en tant que personne autorisée à récupérer l'enfant, si la liste est vide on supprime l'ensemble des personnes déjà présente.
 
  -----------------------------</wsdl:documentation>
       <wsdl:input message="tns:updateChildAutorization" name="updateChildAutorization">
     </wsdl:input>
       <wsdl:output message="tns:updateChildAutorizationResponse" name="updateChildAutorizationResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
@@ -1465,16 +1588,37 @@
  Si elle est fournie vide, on efface l'ancienne valeur dans la base de données. </wsdl:documentation>
       <wsdl:input message="tns:updateFamilySituation" name="updateFamilySituation">
     </wsdl:input>
       <wsdl:output message="tns:updateFamilySituationResponse" name="updateFamilySituationResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="createOrUpdateFSL">
+<wsdl:documentation>Méthode de création ou mise à jour de la fiche sanitaire
+
+Cette méthode permet de mettre à jour les informations relatives au FSL pour un enfant
+
+ ------------------------------
+ personNumber : numéro de l'enfant (obligatoire)
+ fslBean : les informations de la fiche sanitaire (obligatoire)
+
+ -----------------------------
+ Traitement : 
+ Si numéro personne trouvé
+ Mise à jour des données FSL 
+ Sinon retour erreur pas de personne trouvée</wsdl:documentation>
+      <wsdl:input message="tns:createOrUpdateFSL" name="createOrUpdateFSL">
+    </wsdl:input>
+      <wsdl:output message="tns:createOrUpdateFSLResponse" name="createOrUpdateFSLResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="subscribeSchool">
 <wsdl:documentation> Méthode d'inscription scolaire
 
  -------------------------
  personNumber : numéro de l'enfant (obligatoire)
  schoolYear : année scolaire (si non présent, on prend l'année de référence de l'utilisateur portail)
  dateSubscribe : date d'inscription (date de préinscription dans la base) si non présente, on prend la date du jour 
 
@@ -1571,54 +1715,39 @@
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="createUpdateQuotient">
 <wsdl:documentation> Méthode de création/mise à jour d'un quotient
 
  -------------------------
  dossierNumber: numéro de la famille (obligatoire)
  personNumber: numéro de la personne (obligatoire)
- Quotient :
- 	- year : année de référence
-	- yearRev : année de revenue
-	- dateDeb : date de début (format DD/MM/YYYY)
-	- dateFin : date de fin (format DD/MM/YYYY)
-	- mtt : montant
-	- cdQuo : code du quotient
+ Quotient : (obligatoire) 
+ 	- year : année de référence (obligatoire)
+	- yearRev : année de revenue (obligatoire)
+	- dateStart : date de début (format DD/MM/YYYY) (obligatoire)
+	- dateFin : date de fin (format DD/MM/YYYY) (obligatoire)
+	- mtt : montant (obligatoire)
+	- cdQuo : code du quotient (obligatoire)
 	- codeUti : code de l'utilisateur
 
  -------------------------
  Traitement :
 	Récupère l'identifiant de quotient
 	Récupère les quotients existant de cette personne/année/code quotient (table H_QUOREDV)
 	Clôture les anciens quotients (si la date de fin du quotient est supérieure à la date de début du quotient à insérer)
 	Insère le nouveau quotient
 	Renvoie l'identifiant du quotient créé</wsdl:documentation>
       <wsdl:input message="tns:createUpdateQuotient" name="createUpdateQuotient">
     </wsdl:input>
       <wsdl:output message="tns:createUpdateQuotientResponse" name="createUpdateQuotientResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="isRLExists">
-<wsdl:documentation>Méthode pour vérifier si un responsable existe
-
- -------------------------
- 	- firstname : prénom
-	- lastname : nom
-	- datebirth : date de naissance 
- Retourne vrai ou faux </wsdl:documentation>
-      <wsdl:input message="tns:isRLExists" name="isRLExists">
-    </wsdl:input>
-      <wsdl:output message="tns:isRLExistsResponse" name="isRLExistsResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
     <wsdl:operation name="getActivityRate">
 <wsdl:documentation> Méthode de récupération des tarif d'une unité et le top éligible CESU de l'unité
 
  -----------------------------
  idSubscribe : identifiant de l'inscription
  numPerson : numéro de personne (obligatoire)
  idUnit : identifiant de l'unité de l'activité
  typeConsum : type de consommateur
@@ -1661,16 +1790,31 @@
 	- calcultationDate : date du calcul </wsdl:documentation>
       <wsdl:input message="tns:getActivityRate" name="getActivityRate">
     </wsdl:input>
       <wsdl:output message="tns:getActivityRateResponse" name="getActivityRateResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="isRLExists">
+<wsdl:documentation>Méthode pour vérifier si un responsable existe
+
+ -------------------------
+ 	- firstname : prénom
+	- lastname : nom
+	- dateBirth : date de naissance 
+ Retourne vrai ou faux </wsdl:documentation>
+      <wsdl:input message="tns:isRLExists" name="isRLExists">
+    </wsdl:input>
+      <wsdl:output message="tns:isRLExistsResponse" name="isRLExistsResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="updateChildPAI">
 <wsdl:documentation>Méthode de déclaration/modification d'un PAI
 
 Cette méthode permet de mettre à jour les informations relatives au PAI pour un enfant
 
  ------------------------------
  personNumber : numéro de l'enfant (obligatoire)
  code : code du type de PAI (obligatoire)
@@ -1711,42 +1855,16 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
  Retourne la liste des code valeur pour les situations</wsdl:documentation>
       <wsdl:input message="tns:readSituationList" name="readSituationList">
     </wsdl:input>
       <wsdl:output message="tns:readSituationListResponse" name="readSituationListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="addSuppliedDocument">
-<wsdl:documentation>Méthode de fourniture des pièces 
- Prise en compte des choix éventuels sur les indicateurs
-
- ------------------------------
- numDossier: numéro de dossier famille, obligatoire
- numPerson : numéro de la personne, fourni si la pièce est pour un enfant
- documentList :
-	- idDocument : identifiant de la pièce jointe (type de pièce)
-	- depositDate : date de dépôt (si non transmis, date du jour)
-	- filename : nom du fichier avec son extension (.pdf ou autre)
-	- fileSupplied : fichier fourni 
-
- ----------------------------- 
- Traitement : 
- Les documents sont ajoutés à la liste des documents fournis par la famille. 
- Pas de gestion de validité
- Retour : 
- true/false : true si au moins un document a été ajouté, ou false si aucun document indiqué.</wsdl:documentation>
-      <wsdl:input message="tns:addSuppliedDocument" name="addSuppliedDocument">
-    </wsdl:input>
-      <wsdl:output message="tns:addSuppliedDocumentResponse" name="addSuppliedDocumentResponse">
-    </wsdl:output>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
-    </wsdl:fault>
-    </wsdl:operation>
     <wsdl:operation name="createChild">
 <wsdl:documentation> Méthode de création d'un enfant 
 
 
 -------------------------
  numDossier : numéro de dossier famille (obligatoire)
  child : informations sur l'enfant (obligatoire)
  isForceCreateChild :  null ou false et doublon d'enfant détecté 
@@ -1770,23 +1888,49 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
 </wsdl:documentation>
       <wsdl:input message="tns:createChild" name="createChild">
     </wsdl:input>
       <wsdl:output message="tns:createChildResponse" name="createChildResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="addSuppliedDocument">
+<wsdl:documentation>Méthode de fourniture des pièces 
+ Prise en compte des choix éventuels sur les indicateurs
+
+ ------------------------------
+ numDossier: numéro de dossier famille, obligatoire
+ numPerson : numéro de la personne, fourni si la pièce est pour un enfant
+ documentList :
+	- idDocument : identifiant de la pièce jointe (type de pièce)
+	- depositDate : date de dépôt (si non transmis, date du jour)
+	- filename : nom du fichier avec son extension (.pdf ou autre)
+	- fileSupplied : fichier fourni 
+
+ ----------------------------- 
+ Traitement : 
+ Les documents sont ajoutés à la liste des documents fournis par la famille. 
+ Pas de gestion de validité
+ Retour : 
+ true/false : true si au moins un document a été ajouté, ou false si aucun document indiqué.</wsdl:documentation>
+      <wsdl:input message="tns:addSuppliedDocument" name="addSuppliedDocument">
+    </wsdl:input>
+      <wsdl:output message="tns:addSuppliedDocumentResponse" name="addSuppliedDocumentResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="isChildExists">
 <wsdl:documentation>Méthode pour vérifier si un enfant existe
 
  -------------------------
  	- firstname : prénom
 	- lastname : nom
-	- datebirth : date de naissance 
+	- dateBirth : date de naissance 
  Retourne vrai ou faux </wsdl:documentation>
       <wsdl:input message="tns:isChildExists" name="isChildExists">
     </wsdl:input>
       <wsdl:output message="tns:isChildExistsResponse" name="isChildExistsResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
@@ -1918,20 +2062,47 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
 	* childErrorList : Le cas échéant, à chaque doublon d'enfant détecté correspondra un message précisant les n° de personne et n° de familles dans lesquelles il est déjà présent.</wsdl:documentation>
       <wsdl:input message="tns:createFamily" name="createFamily">
     </wsdl:input>
       <wsdl:output message="tns:createFamilyResponse" name="createFamilyResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="readVaccinList">
+<wsdl:documentation>Méthodes de lecture du paramétrage de référence
+ La liste des vaccins 
+
+ -------------------------
+ Retourne la liste des code valeur pour les vaccins</wsdl:documentation>
+      <wsdl:input message="tns:readVaccinList" name="readVaccinList">
+    </wsdl:input>
+      <wsdl:output message="tns:readVaccinListResponse" name="readVaccinListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readPAIList">
+<wsdl:documentation>Méthodes de lecture du paramétrage de référence
+ La liste des PAI 
+
+ -------------------------
+ Retourne la liste des code valeur pour les PAI</wsdl:documentation>
+      <wsdl:input message="tns:readPAIList" name="readPAIList">
+    </wsdl:input>
+      <wsdl:output message="tns:readPAIListResponse" name="readPAIListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="updateFamilyAuthorizedPersonList">
 <wsdl:documentation>Méthode de mise à jour de la liste des personnes autorisées sur la famille
  La liste comporte toutes les personnes autorisées. 
  Les personnes non présentes dans cette liste sont supprimées en tant que personne autorisée.
+ Dépressié : il faut utiliser la méthode updateChildAutorization car nouvelle gestion par enfant (famille recomposée)  
 
  ------------------------------
  numDossier : numéro de dossier famille  (obligatoire)
  authorizedPersonList : liste des personnes autorisées
 
  -----------------------------</wsdl:documentation>
       <wsdl:input message="tns:updateFamilyAuthorizedPersonList" name="updateFamilyAuthorizedPersonList">
     </wsdl:input>
@@ -1998,34 +2169,58 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       <wsdl:output message="tns:readOrganListResponse" name="readOrganListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
   </wsdl:portType>
   <wsdl:binding name="FamilyServiceSoapBinding" type="tns:FamilyService">
     <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
+    <wsdl:operation name="deletesubscribe">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="deletesubscribe">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="deletesubscribeResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisFamilyException">
+        <soap:fault name="MaelisFamilyException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="updateChildIndicators">
       <soap:operation soapAction="" style="document"/>
       <wsdl:input name="updateChildIndicators">
         <soap:body use="literal"/>
       </wsdl:input>
       <wsdl:output name="updateChildIndicatorsResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="deletesubscribe">
+    <wsdl:operation name="readQuotientList">
       <soap:operation soapAction="" style="document"/>
-      <wsdl:input name="deletesubscribe">
+      <wsdl:input name="readQuotientList">
         <soap:body use="literal"/>
       </wsdl:input>
-      <wsdl:output name="deletesubscribeResponse">
+      <wsdl:output name="readQuotientListResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisFamilyException">
+        <soap:fault name="MaelisFamilyException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readDietCodeList">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="readDietCodeList">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="readDietCodeListResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="readFamily">
       <soap:operation soapAction="" style="document"/>
@@ -2094,16 +2289,28 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       </wsdl:input>
       <wsdl:output name="updateFamilySituationResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="createOrUpdateFSL">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="createOrUpdateFSL">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="createOrUpdateFSLResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisFamilyException">
+        <soap:fault name="MaelisFamilyException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="subscribeSchool">
       <soap:operation soapAction="" style="document"/>
       <wsdl:input name="subscribeSchool">
         <soap:body use="literal"/>
       </wsdl:input>
       <wsdl:output name="subscribeSchoolResponse">
         <soap:body use="literal"/>
       </wsdl:output>
@@ -2145,34 +2352,34 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       </wsdl:input>
       <wsdl:output name="createUpdateQuotientResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="isRLExists">
+    <wsdl:operation name="getActivityRate">
       <soap:operation soapAction="" style="document"/>
-      <wsdl:input name="isRLExists">
+      <wsdl:input name="getActivityRate">
         <soap:body use="literal"/>
       </wsdl:input>
-      <wsdl:output name="isRLExistsResponse">
+      <wsdl:output name="getActivityRateResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="getActivityRate">
+    <wsdl:operation name="isRLExists">
       <soap:operation soapAction="" style="document"/>
-      <wsdl:input name="getActivityRate">
+      <wsdl:input name="isRLExists">
         <soap:body use="literal"/>
       </wsdl:input>
-      <wsdl:output name="getActivityRateResponse">
+      <wsdl:output name="isRLExistsResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="updateChildPAI">
       <soap:operation soapAction="" style="document"/>
@@ -2205,34 +2412,34 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       </wsdl:input>
       <wsdl:output name="readSituationListResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="addSuppliedDocument">
+    <wsdl:operation name="createChild">
       <soap:operation soapAction="" style="document"/>
-      <wsdl:input name="addSuppliedDocument">
+      <wsdl:input name="createChild">
         <soap:body use="literal"/>
       </wsdl:input>
-      <wsdl:output name="addSuppliedDocumentResponse">
+      <wsdl:output name="createChildResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="createChild">
+    <wsdl:operation name="addSuppliedDocument">
       <soap:operation soapAction="" style="document"/>
-      <wsdl:input name="createChild">
+      <wsdl:input name="addSuppliedDocument">
         <soap:body use="literal"/>
       </wsdl:input>
-      <wsdl:output name="createChildResponse">
+      <wsdl:output name="addSuppliedDocumentResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="isChildExists">
       <soap:operation soapAction="" style="document"/>
@@ -2265,16 +2472,40 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       </wsdl:input>
       <wsdl:output name="createFamilyResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="readVaccinList">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="readVaccinList">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="readVaccinListResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisFamilyException">
+        <soap:fault name="MaelisFamilyException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readPAIList">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="readPAIList">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="readPAIListResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisFamilyException">
+        <soap:fault name="MaelisFamilyException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="updateFamilyAuthorizedPersonList">
       <soap:operation soapAction="" style="document"/>
       <wsdl:input name="updateFamilyAuthorizedPersonList">
         <soap:body use="literal"/>
       </wsdl:input>
       <wsdl:output name="updateFamilyAuthorizedPersonListResponse">
         <soap:body use="literal"/>
       </wsdl:output>
-- 
2.30.2

